#!/bin/bash -l
#$ -S /bin/bash
# Set wallclock time (format hours:minutes:seconds).
#$ -l h_rt=48:00:00
# Allow only nodes of type U.
#$ -ac allow="U"
# Set the name of the job.
#$ -N CuPd_B86Oppphysi
#$ -M matthew.darby.13@ucl.ac.uk
#$ -m abe
# Select the project that this job will run under.
#$ -P STAMAMESOCAT2012
# Select parallel environment.
#$ -pe openmpi 32
# Set the working directory to the current one.
#$ -cwd

module unload mkl
module load blacs/patch03/intel
module load atlas/3.8.3/intel
module load scalapack/1.8.0/intel
module load fftw/3.3.1/double/intel

APP=/imports/home1/ucecmtd/vasp/vasp-mpi_vdW
WORKDIR=$SGE_O_WORKDIR

# Count number of nodes from SGE_NODEFILE
NODECOUNT=`sort -u $SGE_NODEFILE | wc -l`

# Count number of processors
PROCCOUNT=`cat $SGE_NODEFILE | wc -l`

# execute Vasp
cd $WORKDIR
cat $PBS_NODEFILE > nodefile.out
mpirun -machinefile $TMPDIR/machines -np $NSLOTS $APP > vasp.out

